Payments
Gateway Groups List
Retrieve a list of gatway groups.
Authorization
oauth2 gateways:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: gateways:read
Query Parameters
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/gateway-groups/" \
-H "X-29next-API-Version: 2023-02-10" \
-H "Authorization: Bearer "{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"available_currencies": [
{
"code": "strin",
"label": "string"
}
],
"available_express_payment_methods": [
{
"code": "string",
"label": "string"
}
],
"available_payment_methods": [
{
"code": "string",
"label": "string",
"supported_currencies": [
null
]
}
],
"card_types": [
{
"code": "string",
"label": "string"
}
],
"id": 0,
"name": "string"
}
]
}